Option Compare Binary
Option Explicit On 
Option Strict On

Imports System
Imports System.IO
Imports System.Windows.Forms

''' <summary>
'''   Hauptformular des Programms.
''' </summary>
Public Class MainForm
    Inherits System.Windows.Forms.Form

    Private m_snd As New DxSound

#Region " Vom Windows Form Designer generierter Code "
    Public Sub New()
        MyBase.New()
        InitializeComponent()

        ' Weitere Initialisierungsarbeiten durchfhren.
        m_snd.hWnd = Me.Handle
        m_snd.FileName = Path.Combine(Application.StartupPath, "tada.wav")
        With Me.sldVolume
            .Minimum = -10000
            .Maximum = 0
            .Value = -500
            .LargeChange = 1000
            .SmallChange = 100
            .TickFrequency = 1000
        End With
    End Sub

    Protected Overloads Overrides Sub Dispose(ByVal disposing As Boolean)
        If disposing Then
            If Not (components Is Nothing) Then
                components.Dispose()
            End If
        End If
        MyBase.Dispose(disposing)
    End Sub

    Private components As System.ComponentModel.IContainer

    Friend WithEvents btnStop As System.Windows.Forms.Button
    Friend WithEvents btnPlay As System.Windows.Forms.Button
    Friend WithEvents Label1 As System.Windows.Forms.Label
    Friend WithEvents sldVolume As System.Windows.Forms.TrackBar

    <System.Diagnostics.DebuggerStepThrough()> _
    Private Sub InitializeComponent()
        Me.sldVolume = New System.Windows.Forms.TrackBar()
        Me.btnStop = New System.Windows.Forms.Button()
        Me.btnPlay = New System.Windows.Forms.Button()
        Me.Label1 = New System.Windows.Forms.Label()
        CType(Me.sldVolume, System.ComponentModel.ISupportInitialize).BeginInit()
        Me.SuspendLayout()
        '
        'sldVolume
        '
        Me.sldVolume.Location = New System.Drawing.Point(16, 40)
        Me.sldVolume.Name = "sldVolume"
        Me.sldVolume.Orientation = System.Windows.Forms.Orientation.Vertical
        Me.sldVolume.Size = New System.Drawing.Size(45, 112)
        Me.sldVolume.TabIndex = 3
        Me.sldVolume.TickStyle = System.Windows.Forms.TickStyle.Both
        '
        'btnStop
        '
        Me.btnStop.FlatStyle = System.Windows.Forms.FlatStyle.System
        Me.btnStop.Location = New System.Drawing.Point(80, 64)
        Me.btnStop.Name = "btnStop"
        Me.btnStop.TabIndex = 1
        Me.btnStop.Text = "&Stop"
        '
        'btnPlay
        '
        Me.btnPlay.FlatStyle = System.Windows.Forms.FlatStyle.System
        Me.btnPlay.Location = New System.Drawing.Point(80, 32)
        Me.btnPlay.Name = "btnPlay"
        Me.btnPlay.TabIndex = 0
        Me.btnPlay.Text = "&Play"
        '
        'Label1
        '
        Me.Label1.FlatStyle = System.Windows.Forms.FlatStyle.System
        Me.Label1.Location = New System.Drawing.Point(16, 16)
        Me.Label1.Name = "Label1"
        Me.Label1.Size = New System.Drawing.Size(48, 16)
        Me.Label1.TabIndex = 2
        Me.Label1.Text = "&Volume:"
        '
        'MainForm
        '
        Me.AutoScaleBaseSize = New System.Drawing.Size(5, 13)
        Me.ClientSize = New System.Drawing.Size(168, 168)
        Me.Controls.AddRange(New System.Windows.Forms.Control() {Me.Label1, Me.btnPlay, Me.btnStop, Me.sldVolume})
        Me.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedSingle
        Me.MaximizeBox = False
        Me.MinimizeBox = False
        Me.Name = "MainForm"
        Me.StartPosition = System.Windows.Forms.FormStartPosition.CenterScreen
        Me.Text = "PlaySound"
        CType(Me.sldVolume, System.ComponentModel.ISupportInitialize).EndInit()
        Me.ResumeLayout(False)

    End Sub
#End Region

    Private Sub btnPlay_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnPlay.Click
        Try
            m_snd.Play()
        Catch ex As Exception
            MessageBox.Show("Error: " & ex.Message, Application.ProductName, MessageBoxButtons.OK, MessageBoxIcon.Exclamation)
        End Try
    End Sub

    Private Sub btnStop_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnStop.Click
        m_snd.Stop()
    End Sub

    Private Sub sldVolume_Scroll(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles sldVolume.Scroll
        m_snd.Volume = Me.sldVolume.Value
    End Sub
End Class